#
# Conditional build:
%bcond_with	kde		# disable KDE support
#
Summary:	twinkle - SIP Soft Phone
Summary(pl.UTF-8):	twinkle - telefon programowy SIP
Name:		twinkle
Version:	1.4.2
Release:	19
License:	GPL v2
Group:		Applications/Communications
Source0:	http://www.xs4all.nl/~mfnboer/twinkle/download/%{name}-%{version}.tar.gz
# Source0-md5:	d70c8972f296ffd998c7fb698774705b
Source1:	%{name}.desktop
Patch0:		%{name}-nobind.patch
Patch1:		%{name}-build.patch
Patch2:		%{name}-ucommon.patch
Patch3:		%{name}-ilbc.patch
URL:		http://www.twinklephone.com/
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	boost-devel >= 1.35.0
BuildRequires:	ccrtp-devel >= 2.0.0
BuildRequires:	commoncpp2-devel >= 1.7.1
%{?with_kde:BuildRequires:	kdelibs-devel}
BuildRequires:	libgsm-devel >= 1.0.11
BuildRequires:	webrtc-libilbc-devel
BuildRequires:	libmagic-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	libzrtpcpp-devel >= 1.4.3
BuildRequires:	pkgconfig
BuildRequires:	qmake
BuildRequires:	qt-devel >= 6:3.3.0
BuildRequires:	qt-linguist
BuildRequires:	readline-devel
BuildRequires:	speex-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Twinkle is a SIP based soft phone for making telephone calls over IP
networks.

%description -l pl.UTF-8
Twinkle to oparty na SIP programowy telefon do wykonywania połączeń
telefonicznych po sieciach IP.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
export QTDIR=%{_prefix}
%configure \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	%{!?with_kde:--without-kde} \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install src/gui/images/twinkle48.png $RPM_BUILD_ROOT%{_pixmapsdir}/twinkle.png
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README THANKS
%attr(755,root,root) %{_bindir}/*
%{_datadir}/twinkle
%{_pixmapsdir}/twinkle.png
%{_desktopdir}/twinkle.desktop
%changelog
* Mon Jul 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/twinkle.git;a=log;h=master

* Mon Jul 08 2013 Jan Rękorajski <baggins@pld-linux.org> 9e7e550
- release 19 (by relup.sh)

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> 8496784
- release 18 (by relup.sh)

* Sun Nov 25 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ee7a496
- rel 17

* Sun Nov 25 2012 Jan Rękorajski <baggins@pld-linux.org> a518665
- all bits needed to build with webrtc-libilbc

* Sun Nov 25 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 53d7cf9
- more

* Sun Nov 25 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3db1ecb
- libilbc is gone, partial webrtc-libilbc support

* Sun Nov 25 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c720d8e
- release 15 (by relup.sh)

* Wed Sep 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> aa69b63
- release 14 (by relup.sh)

* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> 0facb05
- Rebuild with boost 1.50
Release 13

* Tue May 01 2012 Szymon Siwek <sls@pld-linux.org> 466c7a7
- BR: ccrtp-devel >= 2.0.0

* Sun Mar 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a2685ca
- release 12

* Sat Jan 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f8dca8f
- rename

* Sat Jan 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7efbe1a
- rel 11; build fixed

* Wed May 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 060510e
- release 10

* Sun Nov 14 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 69d6eab
- release 9

* Wed May 12 2010 sparky <sparky@pld-linux.org> 8d6f69a
- BR: readline-devel

* Fri Mar 26 2010 Paweł Sikora <pluto@pld-linux.org> 8bec4fe
- release 8 (rebuild with boost-1.42.0)

* Mon Mar 08 2010 hawk <hawk@pld-linux.org> bb4af94
- release 7

* Thu Dec 31 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 1340668
- release 6

* Sat Aug 29 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 585cc44
- disable kde (no kde4 support)

